Open CASCADE Technology: ChFi2d_ChamferAPI Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ChFi2d_ChamferAPI Class Reference

A class making a chamfer between two linear edges. More...

`#include <ChFi2d_ChamferAPI.hxx>`

## Public Member Functions
| ChFi2d_ChamferAPI ()
| An empty constructor. More...
| ChFi2d_ChamferAPI (const TopoDS_Wire &theWire)
| A constructor accepting a wire consisting of two linear edges. More...
| ChFi2d_ChamferAPI (const TopoDS_Edge &theEdge1, const TopoDS_Edge &theEdge2)
| A constructor accepting two linear edges. More...
void | Init (const TopoDS_Wire &theWire)
| Initializes the class by a wire consisting of two libear edges. More...
void | Init (const TopoDS_Edge &theEdge1, const TopoDS_Edge &theEdge2)
| Initializes the class by two linear edges. More...
Standard_Boolean | Perform ()
| Constructs a chamfer edge. Returns true if the edge is constructed. More...
TopoDS_Edge | Result (TopoDS_Edge &theEdge1, TopoDS_Edge &theEdge2, const Standard_Real theLength1, const Standard_Real theLength2)

## Detailed Description

A class making a chamfer between two linear edges.

## Constructor & Destructor Documentation

ChFi2d_ChamferAPI::ChFi2d_ChamferAPI | ( |  | ) |

An empty constructor.

ChFi2d_ChamferAPI::ChFi2d_ChamferAPI | ( | const TopoDS_Wire & | theWire | ) |

A constructor accepting a wire consisting of two linear edges.

ChFi2d_ChamferAPI::ChFi2d_ChamferAPI | ( | const TopoDS_Edge & | theEdge1,
|  | const TopoDS_Edge & | theEdge2
| ) |  |

A constructor accepting two linear edges.

## Member Function Documentation

void ChFi2d_ChamferAPI::Init | ( | const TopoDS_Wire & | theWire | ) |

Initializes the class by a wire consisting of two libear edges.

void ChFi2d_ChamferAPI::Init | ( | const TopoDS_Edge & | theEdge1,
|  | const TopoDS_Edge & | theEdge2
| ) |  |

Initializes the class by two linear edges.

Standard_Boolean ChFi2d_ChamferAPI::Perform | ( |  | ) |

Constructs a chamfer edge. Returns true if the edge is constructed.

TopoDS_Edge ChFi2d_ChamferAPI::Result | ( | TopoDS_Edge & | theEdge1,
|  | TopoDS_Edge & | theEdge2,
|  | const Standard_Real | theLength1,
|  | const Standard_Real | theLength2
| ) |  |

The documentation for this class was generated from the following file:

- ChFi2d_ChamferAPI.hxx